CMAX: [Version 1.0 (6/22/93)]
CMAX: ----------------------------------------------------
CMAX: Transformation of DIAGMVP from diagmvp2.f
CMAX: ----------------------------------------------------
      SUBROUTINE diagmvp(anal_inc,rhs_save,inc_save,wgt_save,del_save,
     &    irank,nq,nr,lat,lon,lev)
c.....................................................................c
C                                                                     :
C  Program name:  DIAGMVP                                             :
C                                                                     :
C  Programmer: D. Lamich                                              :
C  Date:       July, 1992                                             :
C  Computer:   Cray YMP C90                                           :
C  Language:   Cray cft77 6.0 fortran                                 :
C                                                                     :
C  Prints analysis weights, increments, deltas, and forcing terms for :
C  a particular minivolume.                                           :
C                                                                     :
C Modifications:                                                      :
C                                                                     :
C   09-1993: (Seablom) Revised code for OI version 1.3.2; removed     :
C                      matrix stacks.                                 :
C                                                                     :
c.....................................................................c
C                                                                     !
C NASA Goddard Space Flight Center       Data Assimilation Office     !
C                                                                     !
C Goddard Earth Observing System                                      !
C Data Analysis System - Version 1.3                                  !
C September, 1993                                                     !
C                                                                     !
c---------------------------------------------------------------------c
      parameter(MAXnq=200)
      parameter(MAXnr=200)

      REAL anal_inc (MAXnr,MAXnq), rhs_save (MAXnr,MAXnq), 
     & inc_save (MAXnr,MAXnq), del_save(MAXnr),
     & wgt_save (MAXnr,MAXnq), lat, lon, lev
!hpf$ distribute anal_inc(block,block)
!hpf$ distribute del_save(block)
!hpf$ distribute inc_save(block,block)
!hpf$ distribute rhs_save(block,block)
!hpf$ distribute wgt_save(block,block)
      WRITE( 6,'(" DIAGNOSTIC PRINTOUT ",40("-"))' ) 
      WRITE( 6,'(" DIAGMVP: Dump for lat:",f7.1,2x," lon:",f7.1,2x,     
     &  " level:",i3)' ) lat,lon,lev
      WRITE( 6,'(" DIAGMVP:",5X,"INDEX",5X,"DELTA",          5X,"Z RHS",
     &5X,"Z WTS",5X,"Z INC",          5X,"U RHS",5X,"U WTS",5X,"U INC", 
     &         5X,"V RHS",5X,"V WTS",5X,"V INC",/)' ) 
      DO 7000 i = 1 , irank
        WRITE( 6,'(" DIAGMVP:",i10,f10.2,3(f10.2,f10.4,f10.2))' ) i,
     &      del_save(i),(rhs_save(i,nnq),wgt_save(i,nnq),inc_save(i,nnq)
     &      ,nnq = 1,nq)
 7000 CONTINUE
      WRITE( 6,'(" DIAGMVP: Total inc:",10x,3(20x,f10.2))' ) anal_inc
      END
